Page MenuHomeMiraheze

Redesign compression of content inside NGINX and Varnish
Open, LowPublic

Description

Currently, content is only compressed by the cache proxies for transmit to the end user. There is no compression between varnish and the MediaWiki servers.

While compression uses CPU cycles, it does improve response times by a huge margin, especially for cache proxies located outside the Benelux. It's worth evaluating compression for:

  • Traffic between Varnish and MediaWiki
  • Storing objects compressed in Varnish cache

And while we're at it: https://medium.com/oyotech/how-brotli-compression-gave-us-37-latency-improvement-14d41e50fee4 possible replace gzip with brotli for various resources?

Event Timeline

Southparkfan triaged this task as Normal priority.Mar 10 2019, 21:53
Southparkfan created this task.
This comment was removed by Reception123.
Joaquinito01-GMX closed this task as Resolved.Oct 30 2019, 08:57
This comment was removed by Reception123.
Southparkfan reopened this task as Open.Oct 30 2019, 17:13
Southparkfan lowered the priority of this task from Normal to Low.May 12 2020, 17:33